For the complete documentation index, see llms.txt. This page is also available as Markdown.

Products

Get Products

get

Returns a list of all products in your organization.

Authorizations
AuthorizationstringRequired
Query parameters
cursorstringOptional
limitinteger · min: 1 · max: 1000Optional

Caps the page size. Defaults to 1000, which is also the maximum; a value below 1 or above 1000 is rejected.

Default: 1000
uuidstring · uuid[] · max: 50 · nullableOptional

If not set, all products will be considered.

external-idstring[] · max: 50 · nullableOptional

The identifiers of the products in the ERP/MES. If not set, all products will be considered.

Example: 6009400032
produced-onstring · uuid[] · max: 50 · nullableOptional

Only products with at least one production run on one of these machines will be returned. If not set, all products will be considered.

qstring · nullableOptional

Filter products based on a partial, case-insensitive match of their external id or name. Use external-id: or name: to limit the search to the respective field.

Example: 301292Pattern: ^(?:(?P<prefix>external-id|name):(?P<prefixed_value>.*)|(?P<value>.+))$
Responses
200

Successful Response

application/json
get/v2/products
GET /api/v2/products HTTP/1.1
Authorization: YOUR_API_KEY
Accept: */*
{
  "data": [
    {
      "uuid": "123e4567-e89b-12d3-a456-426614174000",
      "external_id": "6009400032",
      "name": "text",
      "managed_by": {
        "type": "text"
      }
    }
  ],
  "metadata": {
    "next_cursor": "text"
  }
}
Experimental

Create Product

post

Create a product.

Authorizations
AuthorizationstringRequired
Body
external_idstring · min: 1Required

The identifier of the product in the ERP/MES.

Example: 6009400032
namestring · min: 1 · nullableOptional

An optional, more verbose name or description of the product.

Responses
201

Successful Response

application/json
uuidstring · uuidRequired

The UUID of the product.

external_idstringRequired

The identifier of the product in the ERP/MES.

Example: 6009400032
namestring · nullableRequired

An optional, more verbose name or description of the product.

managed_byone ofRequired

Who maintains this product. synchronization if any of the machines it is produced on is maintained by a synchronization process — its products come with the orders that process writes, so the write endpoints refuse to change them.

or
post/v2/products
POST /api/v2/products HTTP/1.1
Authorization: YOUR_API_KEY
Content-Type: application/json
Accept: */*
Content-Length: 42

{
  "external_id": "6009400032",
  "name": "text"
}
{
  "uuid": "123e4567-e89b-12d3-a456-426614174000",
  "external_id": "6009400032",
  "name": "text",
  "managed_by": {
    "type": "text"
  }
}

Get Product

get

Returns details for a specific product.

Authorizations
AuthorizationstringRequired
Path parameters
uuidstring · uuidRequired
Responses
200

Successful Response

application/json
uuidstring · uuidRequired

The UUID of the product.

external_idstringRequired

The identifier of the product in the ERP/MES.

Example: 6009400032
namestring · nullableRequired

An optional, more verbose name or description of the product.

managed_byone ofRequired

Who maintains this product. synchronization if any of the machines it is produced on is maintained by a synchronization process — its products come with the orders that process writes, so the write endpoints refuse to change them.

or
get/v2/products/{uuid}
GET /api/v2/products/{uuid} HTTP/1.1
Authorization: YOUR_API_KEY
Accept: */*
{
  "uuid": "123e4567-e89b-12d3-a456-426614174000",
  "external_id": "6009400032",
  "name": "text",
  "managed_by": {
    "type": "text"
  }
}
Experimental

Delete Product

delete

Delete a product. Refused while it is referenced by any production run.

Authorizations
AuthorizationstringRequired
Path parameters
uuidstring · uuidRequired
Responses
204

Successful Response

No content

delete/v2/products/{uuid}
DELETE /api/v2/products/{uuid} HTTP/1.1
Authorization: YOUR_API_KEY
Accept: */*

No content

Experimental

Update Product

patch

Update a product. Changing the external_id is refused if the product is synchronized from an external system.

Authorizations
AuthorizationstringRequired
Path parameters
uuidstring · uuidRequired
Body
external_idstring · min: 1Optional
namestring · min: 1 · nullableOptional
Responses
200

Successful Response

application/json
uuidstring · uuidRequired

The UUID of the product.

external_idstringRequired

The identifier of the product in the ERP/MES.

Example: 6009400032
namestring · nullableRequired

An optional, more verbose name or description of the product.

managed_byone ofRequired

Who maintains this product. synchronization if any of the machines it is produced on is maintained by a synchronization process — its products come with the orders that process writes, so the write endpoints refuse to change them.

or
patch/v2/products/{uuid}
PATCH /api/v2/products/{uuid} HTTP/1.1
Authorization: YOUR_API_KEY
Content-Type: application/json
Accept: */*
Content-Length: 36

{
  "external_id": "text",
  "name": "text"
}
{
  "uuid": "123e4567-e89b-12d3-a456-426614174000",
  "external_id": "6009400032",
  "name": "text",
  "managed_by": {
    "type": "text"
  }
}

Last updated